diff --git a/2.2.0-rubygem-dirs.patch b/2.2.0-rubygem-dirs.patch
deleted file mode 100644
index 7feb1f8..0000000
--- a/2.2.0-rubygem-dirs.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-We no longer ship ext/ in gems, as that is necessary only when building.
-Headers are installed instead into RUBY_HEADERDIR.
-
---- origsrc/glib2-2.2.0/lib/mkmf-gnome2.rb	2014-08-25 15:35:39.808749000 -0500
-+++ src/glib2-2.2.0/lib/mkmf-gnome2.rb	2014-08-25 15:36:11.058717200 -0500
-@@ -142,7 +142,6 @@ def add_depend_package_path(target_name,
-     $INCFLAGS = "-I#{target_source_dir} #{$INCFLAGS}"
-   end
- 
--  return unless File.exist?(target_build_dir)
-   if target_source_dir != target_build_dir
-     $INCFLAGS = "-I#{target_build_dir} #{$INCFLAGS}"
-   end
diff --git a/ruby-glib2.cygport b/ruby-glib2.cygport
index cbb2cea..df5a935 100644
--- a/ruby-glib2.cygport
+++ b/ruby-glib2.cygport
@@ -1,18 +1,21 @@
 inherit rubygem
 
 NAME="ruby-glib2"
-VERSION=3.2.9
+VERSION=4.1.7
 RELEASE=1
 CATEGORY="Ruby"
 SUMMARY="Ruby GLib bindings"
 DESCRIPTION="Ruby/GLib2 is a Ruby binding of GLib-2.x."
-HOMEPAGE="http://ruby-gnome2.sourceforge.jp/"
+HOMEPAGE="https://ruby-gnome.github.io/"
 
 PATCH_URI="
-	2.2.0-rubygem-dirs.patch
 	3.1.1-no-gwin32.h.patch
 "
 
+BUILD_REQUIRES="libglib2.0-devel ruby-native-package-installer ruby-pkg-config"
+LICENSE="LGPL-2.1-or-later"
+
+RUBYGEM_CONFIGURE_ARGS="--with-ldflags=-Wl,--out-implib=libruby-glib2.a"
 PKG_NAMES="${NAME} ${NAME}-devel ${NAME}-doc"
 ruby_glib2_CONTENTS="--exclude=sample ${RUBYGEM_EXTDIR#/} ${RUBYGEM_INSTDIR#/} ${RUBYGEM_SPEC#/}"
 ruby_glib2_devel_REQUIRES="${NAME} libglib2.0-devel"
